Subject: convert various variables to atomics

From: Nathan Bossart <[email-masked]>
Date: Thu, 9 Jul 2026 15:50:01 -0500

The attached patch set converts various variables to atomics, thereby
allowing us to remove a handful of spinlocks and volatile qualifiers.
We've been slowly moving in this direction for a while already.  I think
all of these are pretty straightforward and easy to reason about.

-- 
nathan